為什麼這篇autocad螺旋線鄉民發文收入到精華區:因為在autocad螺旋線這個討論話題中,有許多相關的文章在討論,這篇最有參考價值!作者sjgau (sjgau)看板Cad_Cae標題Re: [問題] 關於autocad繪製螺旋線(...
; file: spiral.lsp
(defun dtor(d1 / )
(* (/ d1 180.0) (* 4.0 (atan 1.0)))
); end of dtor()
; ---------------------------------------------------------
; plot r= a*theta
(defun c:spiral( / )
; input a= ?
(setq a (getreal "\n Input a= (ex. 1.2) "))
; input theat t1, t2, no
(setq t1 (getreal "\n input 開始的角度(by degree, ex. 90)= ")
t2 (getreal "\n input 結束的角度(by degree, ex. 1200)= ")
no (getint "\n input 等分點的數目(ex. 300)= "))
; ---------------------------------------------------------
(setq t1 (dtor t1)
t2 (dtor t2)
dt (/ (- t2 t1) no))
(setq t2 (+ t2 (* 0.1 dt)))
; ---------------------------------------------------------
; for tt= t1 to t2 step dt
(setq tt t1 ct1 0)
(while (<= tt t2)
(setq r1 (* a tt))
(setq x1 (* r1 (cos tt))
y1 (* r1 (sin tt)))
(if (= ct1 0)
(command "pline" (list x1 y1)); the 1- st
(command (list x1 y1))); end if
(setq tt (+ tt dt)
ct1 (+ ct1 1))
); end while
; ---------------------------------------------------------
(command "")
(command "zoom" "e")
(command "regen")
(princ)
); end of c:spiral
(princ)
; end of file
※ 引述《flg (廢人君)》之銘言:
: 各位好,我目前想繪製一個螺線線(spiral),但是我在autocad中的說明中卻找不到
: 相關的繪製方式,所以我目前只能使用helix指令將其高度設成0勉強畫出,
: 可是這麼一來就有一個很大的問題,利用此種方式,autocad不把螺旋線當作線來處理,
: 所以我無法將螺旋線與其他線段聚合成一個物件,以至於我無法將圖形匯出成.sat檔,
: 請問有什麼方法可以解決這個問題呢?或是有其他種類的畫法可以達成我想要的圖形?
: 請各位懂的人幫我解惑一下,非常感謝!
: 圖片連結:http://www.wretch.cc/album/show.php?i=flg0021&b=1&f=1553056140&p=0
--
※ 發信站: 批踢踢實業坊(ptt.cc)
◆ From: 211.77.241.1